6

I updated my buildroot for the version "2014.08" (stable version) and I updated the Kernel version (3.12.26) of my project, when the buildroot try to build the linux-headers-3.12.26 package, occurs the following error:

/output/host/usr/arm-buildroot-linux-gnueabi/sysroot 2.6; then exit 1; fi Incorrect selection of kernel headers: expected 2.6.x, got 3.12.x"

How can I fix it? Do I have to change the script check-kernel-headers.sh?

8

No, you don't have to change any script. It seems like your Buildroot configuration is incorrect, but since you didn't provide your config, there's no real way to give a precise answer. Can you run make savedefconfig and post the output of this file here?

Basically, what Buildroot is complaining about here is a mismatch between the kernel headers version it is finding, and the kernel headers version you have specified in the configuration. Most likely, you need to go in make menuconfig, and change the option in which you declare the version of the kernel headers (under the Toolchain menu).

  • 1
    I changed the version of the Kernel Headers in Toolchain menu and it works, tks for your help. – Pedro Durek Dec 17 '14 at 12:27
  • I would accept this answer if I was capable :) It seems to be the solution – inversus Dec 5 '17 at 18:03
  • but if kernel is compiled outside of buildroot and it is actually 2.6, will is be still ok to use toolchain with more update kernel header version (than the real kernel used )? – ransh Dec 21 '18 at 11:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.